# Class PidFactory

java.lang.Object
org.mariadb.jdbc.internal.util.pid.PidFactory

public class PidFactory extends Object

## Constructor Summary

Constructors
Constructor
Description
`PidFactory()`

## Method Summary

Modifier and Type
Method
Description
`static Supplier<String>`
`getInstance()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PidFactory

public PidFactory()

## Method Details

### getInstance

public static Supplier<String> getInstance()